pop_back.hpp File Reference
`#include <msgpack/preprocessor/arithmetic/dec.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/seq/first_n.hpp>`
`#include <msgpack/preprocessor/seq/size.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_SEQ_POP_BACK(seq) MSGPACK_PP_SEQ_POP_BACK_I(seq)
#define | MSGPACK_PP_SEQ_POP_BACK_I(seq) MSGPACK_PP_SEQ_FIRST_N(MSGPACK_PP_DEC(MSGPACK_PP_SEQ_SIZE(seq)), seq)

## Macro Definition Documentation

## MSGPACK_PP_SEQ_POP_BACK

#define MSGPACK_PP_SEQ_POP_BACK | ( |  | seq | ) | MSGPACK_PP_SEQ_POP_BACK_I(seq)

## MSGPACK_PP_SEQ_POP_BACK_I

#define MSGPACK_PP_SEQ_POP_BACK_I | ( |  | seq | ) | MSGPACK_PP_SEQ_FIRST_N(MSGPACK_PP_DEC(MSGPACK_PP_SEQ_SIZE(seq)), seq)